import { Observable } from 'rxjs';
import { ProductCardConfig, CategoryCardConfig } from '../../../shared/models/ui';

export interface BackofficeDataProvider {
  loadProducts(): Observable<ProductCardConfig[]>;
  loadCategories(): Observable<CategoryCardConfig[]>;
}